Get field rules
curl --request GET \
--url https://formhug.ai/api/v1/forms/{form_token}/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://formhug.ai/api/v1/forms/{form_token}/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://formhug.ai/api/v1/forms/{form_token}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"field_rules": [
{
"operator": "or",
"targets_display_mode": "show",
"rule_sets": [
{
"trigger": "<string>",
"comparator": "equal",
"condition": "<string>"
}
],
"targets": [
"<string>"
]
}
],
"redirect_rules": [
{
"operator": "or",
"redirect_url": "<string>",
"rule_sets": [
{
"trigger": "<string>",
"comparator": "equal",
"condition": "<string>"
}
]
}
]
}
}{
"error": "<string>"
}Field Rules
Get field rules
Required scope: form:read.
GET
/
api
/
v1
/
forms
/
{form_token}
/
rules
Get field rules
Authorizations
Personal Access Token prefixed with fh_. Sent as Authorization: Bearer fh_xxx.
The scope required by each endpoint is listed in that endpoint's description.
Path Parameters
Form token
Response
Readable by a non-manager collaborator
Show child attributes
Show child attributes
Last modified on July 24, 2026
Was this page helpful?
⌘I